function [out] = CM(con)
fid = fopen(con,'r');
ct = 1;raw={};
while ~feof(fid)
    raw{ct}=fgetl(fid);
    ct=ct+1;
end
fclose(fid);
for i = 1:length(raw)
    [id] = sscanf(raw{i},'%s[\t]%*s');
switch id
        case 'Ty'
            par.Type =sscanf(raw{i},'%*s %s'); 
            % the centrifugation machine accrelates in cubic or liner
        case 'L'
            par.L = sscanf(raw{i},'%*s %f');   
            % the distance between roatation center to the suspension surface (unit m)
        case 'D'
            par.D = sscanf(raw{i},'%*s %f');
            % the hight of the upper suspension which will be pumped out after suspension (unit m)
        case 'S'
            par.S = sscanf(raw{i},'%*s %f');
            % sinking speed of coccolith under gravity (unit cm/h)
            par.S = par.S /9.8/100/3600;
            %transformation of unit from cm/h to m/s
        case 'T'
            par.T = sscanf(raw{i},'%*s %f');   
        case 'Wmin'
            par.Wmin = sscanf(raw{i},'%*s %f');   
        case 'Wmax'
            par.Wmax = sscanf(raw{i},'%*s %f');          
        case 'Step'
            par.Step = sscanf(raw{i},'%*s %f');        
end; end
load acc.txt; load dec.txt; % the unit of time should be second!
X = [acc(:,2)'; acc(:,2)'.^2; acc(:,2)'.^3 ];
[B1] = regress(acc(:,1), X'); clear X;
X = [acc(:,1)'; acc(:,1)'.^2; acc(:,1)'.^3 ];
[B2] = regress(acc(:,2),X'); clear X;

X = [dec(:,2)'; dec(:,2)'.^2; dec(:,2)'.^3 ];
[B3] = regress(dec(:,1), X'); clear X;
X = [dec(:,1)'; dec(:,1)'.^2; dec(:,1)'.^3 ];
[B4] = regress(dec(:,2),X'); clear X;

w = [par.Wmin: par.Step: par.Wmax];
for i = 1: length(w)
    t1 = B1(3) * w(i)^3 + B1(2)*w(i)^2 + B1(1)*w(i);
    t2 = B3(3) * w(i)^3 + B3(2)*w(i)^2 + B3(1)*w(i);
    F1=@(t)((B2(3)*t.^3 + B2(2)*t.^2 + B2(1)*t)/60*2*pi).^2;
    A=quad(F1,0,t1);
    F2=@(t)((B4(3)*t.^3 + B4(2)*t.^2 + B4(3)*t)/60*2*pi).^2;
    C=quad(F2,0,t2);
    B = log((par.L + par.D)/par.L)/par.S - (A+C);
    t(i) = B/((w(i)/60*2*pi)^2);
    t(i) = t(i)+ t1
end
t = t';
time = abs(t - par.T); time1 = min(time);
out = w(find(time== time1));

